# RegisterNameOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Register name options

param

  the fully qualified name to preorder including the namespace (myName.id)

param

  salt used to generate the preorder name hash

param

  the zonefile to register with the name

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- RegisterNameOptions

## Index

### Properties

- fullyQualifiedName
- network
- publicKey
- salt
- zonefile

## Properties

### fullyQualifiedName

fullyQualifiedName: string

- Defined in packages/bns/src/index.ts:540

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:544

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:543

### salt

salt: string

- Defined in packages/bns/src/index.ts:541

### zonefile

zonefile: string

- Defined in packages/bns/src/index.ts:542

Generated using TypeDoc